<bugID>1357114<Summary>WindowsJumpLists.jsm refreshes itself every 2 minutes or so via a timer, kicking off a Places query and a list building activity that can cause us to skip a frame</Summary><Description>Here's a profile I captured:

https://perf-html.io/public/20232669f468e741f89f237bc9612ec0c4792596/calltree/?jsOnly&amp;range=92.9771_107.7333~101.5390_101.9975&amp;search=WindowsJump&amp;thread=0

We schedule this thing off of a timer based on the browser.taskbar.lists.refreshInSeconds pref, which defaults to 2 minutes.

Also, it _looks_ like we might do main thread IO here for things like favicons: http://searchfox.org/mozilla-central/rev/a7334b2896ed720fba25800e11e24952e6037d77/widget/windows/JumpListBuilder.cpp#186-188

We should probably be smarter here - perhaps waiting for a better idle time to do the query (assuming it has to occur on the main thread), and using the IO thread for doing the favicons stuff.</Description></bugID>